Package de.tudresden.sumo.cmd

## Class Lanearea

- java.lang.Object
- - de.tudresden.sumo.cmd.Lanearea

-     public class Lanearea
      extends Object

  Author:
    Mario Krumnow, Evamarie Wiessner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Lanearea()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SumoCommand` | `getIDCount()` | Returns the number of the areal detectors in the network.
    `static SumoCommand` | `getIDList()` | Returns a list of all areal detectors in the network.
    `static SumoCommand` | `getJamLengthMeters​(String loopID)` | getJamLengthMeters
    `static SumoCommand` | `getJamLengthVehicle​(String loopID)` | getJamLengthVehicle
    `static SumoCommand` | `getLaneID​(String loopID)` | getLaneID
    `static SumoCommand` | `getLastStepHaltingNumber​(String loopID)` | Returns the number of vehicles which were halting during the last time step.
    `static SumoCommand` | `getLastStepMeanSpeed​(String loopID)` | getLastStepMeanSpeed
    `static SumoCommand` | `getLastStepOccupancy​(String loopID)` | getLastStepOccupancy
    `static SumoCommand` | `getLastStepVehicleIDs​(String loopID)` | Returns the list of ids of vehicles that were on the named detector in the last simulation step.
    `static SumoCommand` | `getLastStepVehicleNumber​(String loopID)` | Returns the number of vehicles on the detector
    `static SumoCommand` | `getLength​(String loopID)` | getlength
    `static SumoCommand` | `getPosition​(String loopID)` | getPosition

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lanearea

          public Lanearea()

  - ### Method Detail

    - #### getIDList

          public static SumoCommand getIDList()

      Returns a list of all areal detectors in the network.
      Returns:
        a list of IDs of all areal detectors

    - #### getLastStepVehicleNumber

          public static SumoCommand getLastStepVehicleNumber​(String loopID)

      Returns the number of vehicles on the detector
      Parameters:
        `loopID` - a string identifying the loop
      Returns:
        numeber of vehicles

    - #### getIDCount

          public static SumoCommand getIDCount()

      Returns the number of the areal detectors in the network.
      Returns:
        the number of areal detectors

    - #### getLastStepHaltingNumber

          public static SumoCommand getLastStepHaltingNumber​(String loopID)

      Returns the number of vehicles which were halting during the last time step.
      Parameters:
        `loopID` - a string identifying the loop
      Returns:
        numeber of vehicles

    - #### getLastStepVehicleIDs

          public static SumoCommand getLastStepVehicleIDs​(String loopID)

      Returns the list of ids of vehicles that were on the named detector in the last simulation step.
      Parameters:
        `loopID` - a string identifying the loop
      Returns:
        a list of all vehicles on the detector

    - #### getJamLengthVehicle

          public static SumoCommand getJamLengthVehicle​(String loopID)

      getJamLengthVehicle
      Parameters:
        `loopID` - a string identifying the loop
      Returns:
        jam length in vehicles

    - #### getJamLengthMeters

          public static SumoCommand getJamLengthMeters​(String loopID)

      getJamLengthMeters
      Parameters:
        `loopID` - a string identifying the loop
      Returns:
        jam length in [m]

    - #### getLastStepMeanSpeed

          public static SumoCommand getLastStepMeanSpeed​(String loopID)

      getLastStepMeanSpeed
      Parameters:
        `loopID` - a string identifying the loop
      Returns:
        last step mean speed

    - #### getLastStepOccupancy

          public static SumoCommand getLastStepOccupancy​(String loopID)

      getLastStepOccupancy
      Parameters:
        `loopID` - a string identifying the loop
      Returns:
        last step occupancy

    - #### getPosition

          public static SumoCommand getPosition​(String loopID)

      getPosition
      Parameters:
        `loopID` - a string identifying the loop
      Returns:
        position of the vehicle in m

    - #### getLaneID

          public static SumoCommand getLaneID​(String loopID)

      getLaneID
      Parameters:
        `loopID` - a string identifying the loop
      Returns:
        lane ID of the detector

    - #### getLength

          public static SumoCommand getLength​(String loopID)

      getlength
      Parameters:
        `loopID` - a string identifying the loop
      Returns:
        lane ID of the detector